com.sun.jdi.request

## Interface ModificationWatchpointRequest

All Superinterfaces:
  EventRequest, Mirror, WatchpointRequest

    public interface ModificationWatchpointRequest
    extends WatchpointRequest

Request for notification when a field is set. This event will be triggered when a value is assigned to the specified field with a JavaTM programming language statement (assignment, increment, etc) or by a Java Native Interface (JNI) set function (`Set<Type>Field, SetStatic<Type>Field`). Setting a field to a value which is the same as the previous value still triggers this event. Modification by JDI does not trigger this event. When an enabled ModificationWatchpointRequest is satisfied, an `event set` containing a `ModificationWatchpointEvent` will be placed on the `EventQueue`. The collection of existing watchpoints is managed by the `EventRequestManager`.

Since:
  1.3
See Also:
  `ModificationWatchpointEvent`, `AccessWatchpointRequest`, `EventQueue`, `EventRequestManager`

### Field Summary

### Fields inherited from interface com.sun.jdi.request.EventRequest

`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

### Method Summary

### Methods inherited from interface com.sun.jdi.request.WatchpointRequest

`addClassExclusionFilter, addClassFilter, addClassFilter, addInstanceFilter, addThreadFilter, field`

### Methods inherited from interface com.sun.jdi.request.EventRequest

`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.